# eoCombinedInit< EOT > Class Template Reference

Combined INIT: a proportional recombination of eoInit objects. More...

`#include <eoCombinedInit.h>`

Inheritance diagram for eoCombinedInit< EOT >:

List of all members.

## Public Member Functions

| eoCombinedInit (eoInit< EOT > &_init, double _rate)
| Ctor, make sure that at least one eoInit is present.
void | add (eoInit< EOT > &_init, double _rate, bool _verbose=false)
| The usual method to add objects to the combination note the _verbose parameter, that allows to print what's inside the combination with scaled rates.
virtual void | printOn (std::ostream &_os)
| outputs the operators and percentages
virtual void | operator() (EOT &_eo)
| Performs the init: chooses among all initializers using roulette wheel on the rates.
virtual std::string | className (void) const
| className: Mandatory because of eoCombinedInit.

## Private Attributes

std::vector< eoInit< EOT > * > | initializers
std::vector< double > | rates

## Detailed Description

### template<class EOT>
class eoCombinedInit< EOT >

Combined INIT: a proportional recombination of eoInit objects.

Definition at line 35 of file eoCombinedInit.h.

## Member Function Documentation

template<class EOT>
virtual std::string eoCombinedInit< EOT >::className | ( | void |  | ) | const`[inline, virtual]`

| className: Mandatory because of eoCombinedInit. SHould be pure virtual, but then we should go over the whole code to write the method for all derived classes ... MS 16/7/04 Reimplemented from eoInit< EOT >. Definition at line 81 of file eoCombinedInit.h. Referenced by eoCombinedInit< EOT >::printOn().

The documentation for this class was generated from the following file:

- eoCombinedInit.h